Subject: RE: [Breakage] 2.22.0-rc1 t5401-update-hooks.sh

From: "Randall S. Becker" <[email-masked]>
Date: Thu, 23 May 2019 15:57:31 -0400

On May 21, 2019 20:48, brian m. carlson wrote:
> To: Randall S. Becker <[email-masked]>
> Cc: 'Git Mailing List' <[email-masked]>
> Subject: Re: [Breakage] 2.22.0-rc1 t5401-update-hooks.sh
> 
> On 2019-05-21 at 21:47:54, Randall S. Becker wrote:
> > When running the test in isolation, it passes without incident whether
> > or not --verbose is used. So far, this only occurs on the first run
> > through. I wanted to report it, based on the inconsistency of results.
> > This is not the first time tests have acted in this fashion, and I
> > realize it is difficult to do anything about it without being able to recreate
> the situation.
> 
> Does running git clean -dxf cause it to be reproducible?

Made no difference. t5401 passed cleanly after a the clean -dxf. I don't know where the breadcrumbs are. I guess it could be something funky in the file system on platform or with bash.